package net.unoh.snow;

import java.io.File;

import javax.swing.JFrame;

public class SnowFrame extends JFrame {

	public static final int MAX_WIDTH = 800;

	public static final int MAX_HEIGHT = 600;

	public static final String NAME = "Snow";

	private static final String BACKGROUND_IMAGE_PATH
			= System.getProperty("user.dir")
			+ File.separator + "background.png";

	private static final long serialVersionUID = 1L;

	private SnowManager snowManager = null;

	private SnowCanvas canvas = null;

	public SnowFrame() {

		super(NAME);

		setSize(MAX_WIDTH, MAX_HEIGHT);
		setResizable(false);
		setLocationRelativeTo(null);
		setDefaultCloseOperation(EXIT_ON_CLOSE);

		WindListener windListener = new WindListener();

		canvas = new SnowCanvas(BACKGROUND_IMAGE_PATH);
		canvas.addMouseMotionListener(windListener);
		getContentPane().add(canvas);

		snowManager = new SnowManager(canvas, windListener);
		snowManager.start();

		setVisible(true);
	}

	public static void main(String[] args) {
		new SnowFrame();
	}

}
